#version 430 core
in vec4 vColor;
in vec2 boxOut;
in vec2 boxIn;

out vec4 fColor;

void main()
{
  //float d = x - y - 1 + 2* sqrt(y);
  float d = sqrt(boxOut.x) + sqrt(boxOut.y) - 1.0;
//  float e = sqrt(f(x,wStart)) + sqrt(f(y,wEnd)) - 1.0;
  float e = sqrt(boxIn.x) + sqrt(boxIn.y) - 1.0;
  if ( d < 0 || e > 0) { discard; }
  fColor = vColor;
}
